/*******************************************************************************
 * Copyright (C) 2002, 2003
 * ingenieurbuero fuer innovative informationstechnik (iiit)
 * Dipl.-Ing. Joerg Beckmann, Dortmund, Germany
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 *
 * version $Id: CacheManagerException.java,v 1.9 2003/04/13 20:28:01 joerg Exp $
 ******************************************************************************/

package de.iiit.access.server.plugins.cachemanager;

/** This exeption is thrown inside the CacheManager in case of errors. */
public class CacheManagerException extends java.lang.Exception
{
    
    /**
     * Creates a new instance of <code>CacheManagerException</code> without detail message.
     */
    public CacheManagerException()
    {
    }
    
    
    /**
     * Constructs an instance of <code>CacheManagerException</code> with the specified detail message.
     * @param msg the detail message.
     */
    public CacheManagerException(String msg)
    {
        super(msg);
    }
}

/**
 * $Log: CacheManagerException.java,v $
 * Revision 1.9  2003/04/13 20:28:01  joerg
 * Package structure modified
 *
 * Revision 1.8  2003/04/13 20:16:41  joerg
 * Package structure modified
 *
 * Revision 1.7  2003/01/01 21:04:17  joerg
 * Copyright-Statement aktualisiert
 *
 * Revision 1.6  2002/12/23 11:25:18  joerg
 * no message
 *
 * Revision 1.5  2002/12/21 19:55:03  joerg
 * Nicht mehr benoetigte Methoden entfernt, interne Methoden auf
 * private oder protected geaendert.
 * JavaDoc Kommentare ergaenzt.
 *
 * Revision 1.4  2002/12/19 15:54:33  joerg
 * Paket umbenannt in iiitLdapPlugin
 *
 * Revision 1.3  2002/12/08 16:37:33  joerg
 * Aufraeumungsarbeiten nach dem grossen Umbau
 *
 */
